<?php session_start(); ?>
<!DOCTYPE HTML>
<html>
<head>
<meta charset="utf-8">
<link rel="stylesheet" type="text/css" href="css/main.css" />
<title>Login</title>
</head>

<body>
<?php
include('inc/core.php');

/*If a user is already logged in, redirect to the users page */
if (isset($_SESSION['UserId'])){
	echo '<meta http-equiv="refresh" content="0; URL=index.php">';  
/*Else if no user is already logged in, proceed to the login form */
} else {
if ( empty($_POST)==false ){
	$required_fields = array('Email','Password');
	//Loop thru all the required fields and check if there's any unfilled ones.	
	foreach(($_POST) as $key=>$value){
		if (empty($value) && in_array($key, $required_fields)==true){
			$errors[]= str_replace('_',' ',$key).' is a required field.<br>';
			//echo str_replace('_',' ',$key).' is a required field.<br>';
            break;
		}
	}
	$email = $_POST['Email'];
	$email = filter_var($email, FILTER_SANITIZE_EMAIL);
	$password = $_POST['Password'];
	if( empty($email)==true || empty($password)==true ){
		$errors[]='Please enter a username and a password.';
	} else if(email_exists($email)==false){
		$errors[]='Email not found.';
	}  else if (strlen($password) < 6){
		$errors[]='Password too short.';
	} else if(empty($errors) == true) {
	
		$userlogin = user_login($email, $password);
		if ($userlogin==false){
		$errors[]='Wrong email/password combination.';
		} else {
		//set the user session
		$_SESSION['UserId']=$userlogin;
		echo '<meta http-equiv="refresh" content="0; URL=index.php">';  
		}
	}
}
echo '<div id="login-wrapper">';

if (!empty($errors)){
	echo '<div id="login-error">';
	display_errors($errors);
	echo '</div>';
}
include("inc/loginform.html");
	echo '<div>';
}
?>
</body>
</html>