<?php session_start(); ?>
<!DOCTYPE HTML>
<html>
<head>
  <meta charset="utf-8">
  <title>Administrator Panel</title>
  <link rel="stylesheet" type="text/css" href="css/styles.css"/>
</head>
<body>
<?php

include_once('inc/core.php');

if (loggedin() == false) {
  echo '<meta http-equiv="refresh" content="0; URL=login.php">';
  die;
}

//get order id number from the user input
$order_id = (int) $_GET['order_id'];

//fetch full product details
$result = $db->query("SELECT order_id,name,surname,email,city,country,address,paid_amount,transaction_id,payment_date,comments, source FROM transactions WHERE order_id= '" . $order_id . "' ");
$order_data = $result->fetch_assoc();


?>
<div id="header">
  <div class="home_btn"><a href="index.php"><img border="0" src="img/home.png"/></a></div>
  <div class="welcome_msg">Welcome <strong>Administrator</strong> | <a href="services.php">Services</a> |
    <a href="settings.php">Settings</a> | <a href="logout.php">Log Out</a></div>
</div>
<div id="wrapper">

  <div class="innerhead-details">
    <div class="title">Full transaction details.<br>

      <p style="color: #666; line-height: 8px;">#<?php echo $order_data['order_id']; ?></p>
    </div>
    <div class="desc">
      Check below for the full details of your transaction. Make sure you carefully check transaction<br>
      amount, payer's email address as well as the transaction ID.
      <br>
    </div>
  </div>

  <div class="full-details">
    <div class="details-left">
      <span>First name</span>

      <div class="detbox"><?php echo $order_data['name']; ?></div>
      <span>Last Name</span>

      <div class="detbox"><?php echo $order_data['surname']; ?></div>
      <span>Email address</span>

      <div class="detbox"><?php echo $order_data['email']; ?></div>
      <span>Transaction amount</span>

      <div class="detbox"><?php echo $order_data['paid_amount']; ?></div>
      <span>Payment date</span>

      <div class="detbox"><?php echo $order_data['payment_date']; ?></div>
    </div>
    <div class="details-right">
      <span>Address</span>

      <div class="detbox"><?php echo $order_data['address']; ?></div>
      <span>City</span>

      <div class="detbox"><?php echo $order_data['city']; ?></div>
      <span>Country</span>

      <div class="detbox"><?php echo $order_data['country']; ?></div>
      <span>Transaction ID</span>

      <div class="detbox"><?php echo $order_data['transaction_id']; ?></div>
      <span>Source</span>

      <div class="detbox"><?php echo $order_data['source']; ?></div>
      <span>Additional comments</span>
      <textarea class="detbox"><?php echo $order_data['comments']; ?></textarea>
    </div>
  </div>
</div>
<div id="footer"><p>Copyright © <?php echo date('Y'); ?></p></div>
</body>
</html>