<?php session_start(); ?>
<!DOCTYPE HTML>
<html>
<head>
<meta charset="utf-8">
<title>Administrator Panel : Settings</title>
<link rel="stylesheet" type="text/css" href="css/styles.css" />
</head>
<body>
<?php

include_once('inc/core.php');

if (loggedin()==false){
	echo '<meta http-equiv="refresh" content="3; URL=login.php">';
	die;
}
//fetch user details
$result = $db->query("SELECT id, username, email,password FROM login WHERE id= '".$session_user_id."' ");
$user_data = $result->fetch_assoc();

//password fields
@$passfields=array($_POST['pass'],$_POST['newpass'],$_POST['repeatnewpass']);
//errors array
$errors=array();


//start error checking and form processing
	if (empty($_POST)==false){
		
	//error checking: username, email, paypal add
	if(empty($_POST['username'])){
		$errors[]='You must specify an username.';
	}
	if(empty($_POST['email'])){
		$errors[]='You need to enter an email address.';
	}
	if (filter_var($_POST['email'], FILTER_VALIDATE_EMAIL)==false ){
		$errors[]='Error. Invalid email address.';
	}
	//if at least one password field is filed
	
	if(!empty($passfields[0]) || !empty($passfields[1]) || !empty($passfields[2]) ){
		
		if(!isset($passfields[0]) || !isset($passfields[1]) || !isset($passfields[2]) ){
			$errors[]='Error. You need to fill all password fields.';
		}

		if( sha1($_POST['pass']) !== $user_data['password'] ){
			$errors[]='Error. Your current password is incorrect.';
		}
		
		
		foreach($passfields as $passfield){
			if (strlen($passfield) < 6){
				$errors[8]='Error. Passwords must be longer than 6 characters.';
			}
		}
		
		if($_POST['repeatnewpass'] !== $_POST['newpass']){
			$errors[]='Error. New passwords do not match.';
		}
		
	}
	
	//if no errors proceed to the database
	if(empty($errors)==true){
	//update details to the database
	if( $user_data['username'] !== $_POST['username'] ){
		$db->query("UPDATE login SET username='".str_replace(' ','',sanitize($_POST['username']))."' WHERE id='".$session_user_id."'");
	}
	if( $user_data['email'] !== $_POST['email'] ){
		$db->query("UPDATE login SET email='".str_replace(' ','',sanitize($_POST['email']))."' WHERE id='".$session_user_id."'");
	}
	if(!empty($_POST['repeatnewpass'])){
		$db->query("UPDATE login SET password='".sha1($_POST['repeatnewpass'])."' WHERE id='".$session_user_id."'");
	}
	$apply_changes='1';
	echo '<meta http-equiv="refresh" content="3; URL=settings.php">';   
	}
	}
?>
<div id="header">
<div class="home_btn"><a href="index.php"><img border="0" src="img/home.png"/></a></div>
<div class="welcome_msg">Welcome <strong>Administrator</strong> | <a href="services.php">Services</a> | <a href="settings.php">Settings</a> | <a href="logout.php">Log Out</a></div>
</div>
<div id="wrapper">
<div class="innerhead-settings">

<div class="title"><a href="index.php"><img border="0" style="margin-bottom: -10px; margin-right: 10px;" src="img/uicon.png"/></a>Administrator account settings</div>
<div class="desc">
<div style="height: 35px; float: left; margin-right: 10px; margin-top: -5px;">
<a href="index.php"><img border="0" title="Return Home" src="img/return_home.png"/></a>
</div>
From here you can make the aproppriate changes/configurations for your   site to run correctly.<br>
Make sure you enter the right paypal address to receive payments & you change your password<br>
among other changes.
</div>
</div>

<?php if (!empty($errors)){
echo '<div class="error-messages">';
display_errors($errors);
echo '</div>';
}?>

<?php if (@$apply_changes=='1'){
echo '<div class="success-messages">
      <center><h3>Success. Your changes have been saved.</3></center>
     </div>';
}?>

<div class="wrapper-settings">

<form action="" method="post">
<div class="left-column">
<ul>
<li>
Username:<br>
<input type="text" placeholder="username" name="username" value="<?php echo $user_data['username']; ?>" />
</li>

<li>
Your email address:<br>
<input type="text" placeholder="name@site.com" name="email"  value="<?php echo $user_data['email']; ?>" />
</li>
</ul>
</div>
<div class="right-column">
<ul>
<li>
Current password:<br>
<input type="password" name="pass" />
</li>
<li>
New password:<br>
<input type="password" name="newpass" />
</li>
<li>
Repeat new password:<br>
<input type="password" name="repeatnewpass" />
</li>
</ul>
</div>

</div>

<div class="savechanges" style="width: 172px; margin: 20px auto; ">
<input type="submit" value="Save Changes" />
</div>
</form>
</div>
<div id="footer"><p>Copyright © <?php echo date('Y'); ?></p></div>
</body>
</html>