<?php
namespace Listener;
ini_set('log_errors', true);
ini_set('error_log', dirname(__FILE__) . '/ipn_errors.log');


include('ipnlistener.php');
include('config.php');

use PaypalIPN;
$ipn = new PaypalIPN();

/*
To post using the fsockopen() function rather than cURL, use:
*/
//$ipn->useSandbox();


try {
  $verified = $ipn->verifyIPN();

} catch (Exception $e) {
  error_log($e->getMessage());
  exit(0);
}

// assign posted variables to local variables
$item_name = $db->real_escape_string($_POST['item_name']);
$item_number = $db->real_escape_string($_POST['item_number']);
$payment_status = $db->real_escape_string($_POST['payment_status']);
$payment_amount = $db->real_escape_string($_POST['mc_gross']);
$payment_currency = $db->real_escape_string($_POST['mc_currency']);
$txn_id = $db->real_escape_string($_POST['txn_id']);
$receiver_email = $db->real_escape_string($_POST['receiver_email']);
$payer_email = $db->real_escape_string($_POST['payer_email']);

// other variables - note, we use the custom field for the 'source' parameter from query string
$source = $db->real_escape_string($_POST['custom']);
$name = $db->real_escape_string($_POST['first_name']);
$surname = $db->real_escape_string($_POST['last_name']);
$country = $db->real_escape_string($_POST['address_country']);
$address = $db->real_escape_string($_POST['address_street']);
$city = $db->real_escape_string($_POST['address_city']);
//$date = date('Y-m-d');
$date = $db->real_escape_string($_POST['payment_date']);
$newDate =  strtotime($date);

$newDate = date('Y-m-d',$newDate);

if ($verified) {

 // mail('borniwm@gmail.com', 'Verified', 'verified');

  $sql = "INSERT INTO transactions VALUES
					(NULL, '$name', '$surname', '$payer_email','$city','$country','$address', '$payment_amount', '$txn_id', '$newDate', '$item_name', '$source','0')";

  $db->query($sql);

}

?>
